My Oracle Support Banner

YUM transaction check error: "file /usr/share/dbus-1/services/org.freedesktop.PackageKit.service from install" (Doc ID 2364494.1)

Last updated on AUGUST 04, 2018

Applies to:

Linux OS - Version Oracle Linux 7.2 to Oracle Linux 7.4 [Release OL7U2 to OL7U4]
Linux x86-64

Symptoms

 On OL7 when a security  update  is running  ("yum --security update"  or "yum --security update-minimal") the server shows conflicts errors with some GNOME packages and the upgrade is not completed.

 

Total 734 kB/s | 496 MB 00:11:32
Running transaction check
Running transaction test

Transaction check error:
file /usr/share/dbus-1/services/org.freedesktop.PackageKit.service from install of gnome-software-3.22.7-1.el7.x86_64 conflicts with file from package gnome-packagekit-common-3.14.3-7.el7.x86_64 <===========

Error Summary

 

Changes

 Trying to update  packages with security-related from Oracle Linux 7.2 or below to Oracle Linux 7.4.

NOTE:
To update all packages for which security-related errata are available to the latest versions of the packages, even if those packages include bug fixes or new features but not security errata, enter:
# yum --security update

To update all packages to the latest versions that contain security errata, ignoring any newer packages that do not contain security errata, enter:
# yum --security update-minimal

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.